Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.virtual.plugins.context.jar
Class JarUtils

    java.lang.Object
      org.jboss.virtual.plugins.context.jar.JarUtils

    public class JarUtils

extends java.lang.Object

JarUtils.

Version:
  $Revision: 1.1 $
Author:
  Adrian Brock

Method Summary
`static boolean` | `addJarSuffix(java.lang.String suffix)` Add a jar suffix
`static void` | `clearSuffixes()` Clear the list of suffixes
`static java.net.URL` | `createJarURL(java.net.URL url)` Create a jar url from a normal url
`static java.util.Set<java.lang.String>` | `getSuffixes()` Get the lis of jar suffixes
`static boolean` | `isArchive(java.lang.String name)` Whether this is an archive
`static boolean` | `removeJarSuffix(java.lang.String suffix)` Remove a jar suffix
`static void` | `setJarSuffixes(java.util.Set<java.lang.String> suffixes)` Sets the jar suffixes

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### setJarSuffixes

    public static void setJarSuffixes(java.util.Set<java.lang.String> suffixes)

  Sets the jar suffixes

  Parameters:
    `suffixes` - the suffixes
  Throws:
    `java.lang.IllegalArgumentException` - for a null suffix

### addJarSuffix

    public static boolean addJarSuffix(java.lang.String suffix)

  Add a jar suffix

  Parameters:
    `suffix` - the suffix
  Returns:
    true when added
  Throws:
    `java.lang.IllegalArgumentException` - for a null suffix

### removeJarSuffix

    public static boolean removeJarSuffix(java.lang.String suffix)

  Remove a jar suffix

  Parameters:
    `suffix` - the suffix
  Returns:
    true when removed
  Throws:
    `java.lang.IllegalArgumentException` - for a null suffix

### getSuffixes

    public static java.util.Set<java.lang.String> getSuffixes()

  Get the lis of jar suffixes

  Returns:
    the list of suffixes

### clearSuffixes

    public static void clearSuffixes()

  Clear the list of suffixes

### isArchive

    public static boolean isArchive(java.lang.String name)

  Whether this is an archive

  Parameters:
    `name` - the name
  Returns:
    true when an archive
  Throws:
    `java.lang.IllegalArgumentException` - for a null name

### createJarURL

    public static java.net.URL createJarURL(java.net.URL url)
                                     throws java.net.MalformedURLException

  Create a jar url from a normal url

  Parameters:
    `url` - the normal url
  Returns:
    the jar url
  Throws:
    `java.net.MalformedURLException` - if the url is malformed
    `java.lang.IllegalArgumentException` - for a null url

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD